Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.config
Interface TaskURLCalculator

    public interface TaskURLCalculator

Custom calculator for URLs pointing to the web UI that can be used to edit a given task. Calculators are deployed from custom modules in the same app as the worklist system instance that will handle execution of the tasks.

Method Summary
`void` | `destroy()` Destroy this instance and release any resources obtained in initialize or during calls to getURLForTask().
`URL` | `getURLForTask(String taskId)` Calculate the URL needed to view or work on the given task.
`void` | `initialize()` Initialize any resources needed to start calculating task URLs in getURLforTask().
`void` | `setParentCalculator(TaskURLCalculator calculator)`
`void` | `setProperties(Property[] properties)` Set any properties configured for this TaskURLCalculator in the custom module that deployed it.
`void` | `setTaskURLCalculatorContext(TaskURLCalculatorContext context)` Set the context that can be used by calculators during calls to getURLForTask().

Method Detail

### setParentCalculator

    void setParentCalculator(TaskURLCalculator calculator)

### setTaskURLCalculatorContext

    void setTaskURLCalculatorContext(TaskURLCalculatorContext context)

  Set the context that can be used by calculators during calls to getURLForTask().

  Parameters:
    `context` - The web app context to use as the start of the file portion of URLs calculated in getURLForTask().

### setProperties

    void setProperties(Property[] properties)

  Set any properties configured for this TaskURLCalculator in the custom module that deployed it. This method is only called if properties are available (e.g. specified in the deployment descriptor for the custom module).

  Parameters:
    `properties` -

### initialize

    void initialize()
                    throws ManagementException

  Initialize any resources needed to start calculating task URLs in getURLforTask().

  Throws:
    `ManagementException`

### destroy

    void destroy()
                 throws ManagementException

  Destroy this instance and release any resources obtained in initialize or during calls to getURLForTask().

  Throws:
    `ManagementException`

### getURLForTask

    URL getURLForTask(String taskId)
                      throws ManagementException

  Calculate the URL needed to view or work on the given task.

  Parameters:
    `taskId` - The ID of the task for which a URL is to be calculated. Must not be null.
  Returns:
    The URL for the task, or null if no URL could be calculated.
  Throws:
    `ManagementException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD